Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.framelist
Class Frame

    java.lang.Object
      org.eclipse.ui.views.framelist.Frame

Direct Known Subclasses:
  TreeFrame

public class Frame
extends Object

Generic frame, which captures the state for one frame in the frame list. Clients may subclass this frame to add their own state.

Constructor Summary
`Frame()` Constructs a new frame.

Method Summary
`int` | `getIndex()` Returns the index of the frame in the frame list.
`String` | `getName()` Returns the displayable name for the frame.
`FrameList` | `getParent()` Returns the frame list.
`String` | `getToolTipText()` Returns the tool tip text to show for the frame.
`void` | `setIndex(int index)` Sets the index of the frame in the frame list.
`void` | `setName(String name)` Sets the displayable name for the frame.
`void` | `setParent(FrameList parent)` Sets the frame list.
`void` | `setToolTipText(String toolTipText)` Sets the tool tip text to show for the frame.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Frame

    public Frame()

  Constructs a new frame.

  This implementation does nothing.

Method Detail

### getIndex

    public int getIndex()

  Returns the index of the frame in the frame list. Only valid once the frame has been added to the frame list.

  Returns:
    the index of the frame in the frame list.

### getName

    public String getName()

  Returns the displayable name for the frame.

  Returns:
    the displayable name for the frame.

### getParent

    public FrameList getParent()

  Returns the frame list.

  Returns:
    the frame list

### getToolTipText

    public String getToolTipText()

  Returns the tool tip text to show for the frame. This can form part of the tool tip for actions like the back and forward actions.

  Returns:
    the tool tip text to show for the frame

### setIndex

    public void setIndex(int index)

  Sets the index of the frame in the frame list. Should only be called by the frame list.

  Parameters:
    `index` - the index of the frame in the frame list

### setName

    public void setName(String name)

  Sets the displayable name for the frame.

  Parameters:
    `name` - the displayable name

### setParent

    public void setParent(FrameList parent)

  Sets the frame list.

  Parameters:
    `parent` - the frame list

### setToolTipText

    public void setToolTipText(String toolTipText)

  Sets the tool tip text to show for the frame. This can form part of the tool tip for actions like the back and forward actions.

  Parameters:
    `toolTipText` - the tool tip text to show for the frame.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.